commit:     bb887ed317cd32a6344ca8c4f7d9f6351be62c78
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 04:23:47 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 05:19:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb887ed3

dev-python/botocore: Bump to 1.36.20

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.36.20.ebuild | 67 +++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 12845ee0e0f0..77ccda88e612 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,4 +3,5 @@ DIST botocore-1.36.16.gh.tar.gz 14211411 BLAKE2B 
88ea5860e628985d7643acc430b62ed
 DIST botocore-1.36.17.gh.tar.gz 14211225 BLAKE2B 
e589bc5bdd5d8f350fb281fd4b3367a8c47beebafe3e4c087bfd8919a65e2e1adaab3cb0cb8fff877c813656835a12537e7ffdec8e9daf13841279b3ead58142
 SHA512 
8f30247d21a01c3cafe8f1ef938207f14a626fe17b7c29a510886014af866d985804f83563be0ac2a7894fbf8a5b6cc78554904e8f5f9f9ca69ecf615a30d613
 DIST botocore-1.36.18.gh.tar.gz 14215558 BLAKE2B 
b8f142da59626db83ded0c165bd05c312ba98aaebc7eab9217702057ee5876146518e9095dae8443daaae1eadad2a045405fc8a57ae5f04266ec82fe15b3308c
 SHA512 
b3cc042e83db579da5a3d24fbacdbab6df98381d6e34ef0c19d3285669599f023ffccbb235620646ed02c3a7d6ab87cc31d732889cb1bdd797f405c8df292a8a
 DIST botocore-1.36.19.gh.tar.gz 14217764 BLAKE2B 
2c7c00ab07ed3955809451a47e9b38ebe3ff8d4cf729b4c1a6ddc18f0564d79ef18b9c60c685006beedf19db224dba868116a515096332c110975b073fda0413
 SHA512 
c19c4bb0412addeb009d7d1d621a54efa616b3ddb219bada0abc48f4b421e705bdd14e7d71540b8021c01e04b707389f0cc38f4648f42ecc0fdcd6b21990ac4c
+DIST botocore-1.36.20.gh.tar.gz 14223948 BLAKE2B 
ba2e8ce8e12a192d0db504447e267fd0133eecb8740433f53e7216f315603aaeda6976ff0a8ecfcda231ded660b4e56da735fd2077abc5a8da940552a71d86d7
 SHA512 
c614d5d7e6f8e6655a6ac93975d5e30284bd68a19e18db903736bfd6aa60298340442fe32427159a9e72be6c30d507048a54b68a67af32a090c05c60642c057f
 DIST botocore-1.36.6.gh.tar.gz 14173329 BLAKE2B 
1eea293adad312439f2c60e0f73f721fa207439af2918fb5db98304a565e44d33f953f517e5526e865cbf58751892be4a6cc275545f295638109ee4051d2a276
 SHA512 
bcd1077bfeb5709e8c6224560f7974d70a884310539b531f520b20446aeaf3aa5d9aba6cbd19d75526d34dd7ab68be578f5ece7bddf7986997f9f5bbd5cee905

diff --git a/dev-python/botocore/botocore-1.36.20.ebuild 
b/dev-python/botocore/botocore-1.36.20.ebuild
new file mode 100644
index 000000000000..9e1580d45581
--- /dev/null
+++ b/dev-python/botocore/botocore-1.36.20.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+       https://github.com/boto/botocore/
+       https://pypi.org/project/botocore/
+"
+SRC_URI="
+       https://github.com/boto/botocore/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       <dev-python/jmespath-2[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin deps
+       sed -i -e "s:>=.*':':" setup.py || die
+
+       # unbundle deps
+       rm -r botocore/vendored || die
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # rely on bundled six
+               tests/functional/test_six_imports.py::test_no_bare_six_imports
+               tests/functional/test_six_threading.py::test_six_thread_safety
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to